YouTrack Standalone 2019.3 Help

Upgrading to YouTrack 2019.3

Starting from version 2019.3, YouTrack is compatible with Java SE 11. Earlier versions of the JRE/JDK are incompatible.

There are a few JVM options that aren't supported by Java 11 and can no longer be used. Most of these are related to logging and garbage collection on larger installations. If your installation uses one of the following JVM options, it will probably fail to start following the upgrade to the current version:

-XX:GCLogFileSize=N -XX:NumberOfGCLogFiles=N -XX:+PrintGCDateStamps -XX:+PrintGCCause -XX:+PrintTenuringDistribution -XX:+UseGCLogFileRotation

Before you upgrade to version 2019.3 or later, we recommend that you double-check the launch configuration settings for your server. If any of the JVM options from this list are enabled, you should remove them from your configuration. For instructions, see Configure JVM Options.

If you upgraded your installation without removing an unsupported JVM option, check the youtrack-stderr.log log file. You should see an error similar to the following:

Unrecognized VM option 'PrintGCCause' Error: Could not create the Java Virtual Machine. Error: A fatal exception has occurred. Program will exit.

In this case, removing the unsupported option and restarting the server should solve the problem.

Last modified: 15 January 2020